Bug#930423: chromium: crash when HOME points to non-directory

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#930423: chromium: crash when HOME points to non-directory

Dmitry Bogatov-3

Package: chromium
Version: 74.0.3729.108-1
Severity: wishlist

Dear Maintainer,

$ HOME=/dev/null PATH=/bin:/usr/bin /usr/bin/chromium

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***


-- System Information:
Debian Release: 10.0
  APT prefers buildd-unstable
  APT policy: (500, 'buildd-unstable'), (500, 'unstable'), (500, 'testing'), (1, 'buildd-experimental'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.19.0-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=eo.utf8, LC_CTYPE=eo.utf8 (charmap=UTF-8), LANGUAGE=eo.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /usr/bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled

Versions of packages chromium depends on:
ii  chromium-common      74.0.3729.108-1
ii  libasound2           1.1.8-1
ii  libatk-bridge2.0-0   2.30.0-5
ii  libatk1.0-0          2.30.0-2
ii  libatomic1           8.3.0-7
ii  libatspi2.0-0        2.32.0-1
ii  libavcodec58         7:4.1.3-1
ii  libavformat58        7:4.1.3-1
ii  libavutil56          7:4.1.3-1
ii  libc6                2.28-10
ii  libcairo-gobject2    1.16.0-4
ii  libcairo2            1.16.0-4
ii  libcups2             2.2.10-6
ii  libdbus-1-3          1.12.14-1
ii  libdrm2              2.4.97-1
ii  libevent-2.1-6       2.1.8-stable-4
ii  libexpat1            2.2.6-1
ii  libflac8             1.3.2-3
ii  libfontconfig1       2.13.1-2
ii  libfreetype6         2.9.1-3
ii  libgcc1              1:8.3.0-7
ii  libgdk-pixbuf2.0-0   2.38.1+dfsg-1
ii  libglib2.0-0         2.58.3-2
ii  libgtk-3-0           3.24.5-1
ii  libharfbuzz0b        2.3.1-1
ii  libicu63             63.1-6
ii  libjpeg62-turbo      1:1.5.2-2+b1
ii  libjsoncpp1          1.7.4-3
ii  liblcms2-2           2.9-3
ii  libminizip1          1.1-8+b1
ii  libnspr4             2:4.21-1
ii  libnss3              2:3.44+really3.42.1-2
ii  libopenjp2-7         2.3.0-2
ii  libopus0             1.3-1
ii  libpango-1.0-0       1.42.4-6
ii  libpangocairo-1.0-0  1.42.4-6
ii  libpci3              1:3.5.2-5
ii  libpng16-16          1.6.36-6
ii  libpulse0            12.2-4
ii  libre2-5             20190101+dfsg-2+b1
ii  libsnappy1v5         1.1.7-1
ii  libstdc++6           8.3.0-7
ii  libva2               2.4.0-1
ii  libvpx5              1.7.0-3
ii  libwebp6             0.6.1-2
ii  libwebpdemux2        0.6.1-2
ii  libwebpmux3          0.6.1-2
ii  libx11-6             2:1.6.7-1
ii  libx11-xcb1          2:1.6.7-1
ii  libxcb1              1.13.1-2
ii  libxcomposite1       1:0.4.4-2
ii  libxcursor1          1:1.1.15-2
ii  libxdamage1          1:1.1.4-3+b3
ii  libxext6             2:1.3.3-1+b2
ii  libxfixes3           1:5.0.3-1
ii  libxi6               2:1.7.9-1
ii  libxml2              2.9.4+dfsg1-7+b3
ii  libxrandr2           2:1.5.1-1
ii  libxrender1          1:0.9.10-1
ii  libxslt1.1           1.1.32-2
ii  libxss1              1:1.2.3-1
ii  libxtst6             2:1.2.3-1
ii  zlib1g               1:1.2.11.dfsg-1

Versions of packages chromium recommends:
pn  chromium-sandbox  <none>

Versions of packages chromium suggests:
pn  chromium-driver  <none>
pn  chromium-l10n    <none>
pn  chromium-shell   <none>

Versions of packages chromium-common depends on:
ii  x11-utils  7.7+4
ii  xdg-utils  1.1.3-1

Versions of packages chromium-common recommends:
pn  chromium-sandbox     <none>
ii  fonts-liberation     1:1.07.4-9
ii  libgl1-mesa-dri      18.3.6-2
pn  libu2f-udev          <none>
pn  notification-daemon  <none>
pn  upower               <none>

-- no debconf information

attachment0 (849 bytes) Download Attachment